package com.zehong.system.service.impl;

import java.util.List;
import com.zehong.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TGasIllegalMapper;
import com.zehong.system.domain.TGasIllegal;
import com.zehong.system.service.ITGasIllegalService;

/**
 * 违法行为档案Service业务层处理
 * 
 * @author zehong
 * @date 2026-03-19
 */
@Service
public class TGasIllegalServiceImpl implements ITGasIllegalService 
{
    @Autowired
    private TGasIllegalMapper tGasIllegalMapper;

    /**
     * 查询违法行为档案
     * 
     * @param illegalId 违法行为档案ID
     * @return 违法行为档案
     */
    @Override
    public TGasIllegal selectTGasIllegalById(Long illegalId)
    {
        return tGasIllegalMapper.selectTGasIllegalById(illegalId);
    }

    /**
     * 查询违法行为档案列表
     * 
     * @param tGasIllegal 违法行为档案
     * @return 违法行为档案
     */
    @Override
    public List<TGasIllegal> selectTGasIllegalList(TGasIllegal tGasIllegal)
    {
        return tGasIllegalMapper.selectTGasIllegalList(tGasIllegal);
    }

    /**
     * 新增违法行为档案
     * 
     * @param tGasIllegal 违法行为档案
     * @return 结果
     */
    @Override
    public int insertTGasIllegal(TGasIllegal tGasIllegal)
    {
        tGasIllegal.setCreateTime(DateUtils.getNowDate());
        return tGasIllegalMapper.insertTGasIllegal(tGasIllegal);
    }

    /**
     * 修改违法行为档案
     * 
     * @param tGasIllegal 违法行为档案
     * @return 结果
     */
    @Override
    public int updateTGasIllegal(TGasIllegal tGasIllegal)
    {
        return tGasIllegalMapper.updateTGasIllegal(tGasIllegal);
    }

    /**
     * 批量删除违法行为档案
     * 
     * @param illegalIds 需要删除的违法行为档案ID
     * @return 结果
     */
    @Override
    public int deleteTGasIllegalByIds(Long[] illegalIds)
    {
        return tGasIllegalMapper.deleteTGasIllegalByIds(illegalIds);
    }

    /**
     * 删除违法行为档案信息
     * 
     * @param illegalId 违法行为档案ID
     * @return 结果
     */
    @Override
    public int deleteTGasIllegalById(Long illegalId)
    {
        return tGasIllegalMapper.deleteTGasIllegalById(illegalId);
    }
}
